<template>
  <div>
    <div v-if="openSidebar" class="modal-backdrop">

    </div>
    <nav-bar @toggleSidebar="toggleSidebar"
     @toggleNotification="toggleNotification"
     @toggleLanguageSwithcher="toggleLanguageSwithcher"
     @toggleGames="toggleGames" />
    <notifications :open="openNotifications" />
    <language-switcher :open="openLanguageSwithcher" />
    <games  :open="openGames" />
    <side-bar :open="openSidebar" />
    <nuxt/>
    <base-footer />
  </div>
</template>
<script>
const NavBar = () => import('~/components/UIComponents/NavBar');
const SideBar = () => import('~/components/UIComponents/SideBar');
const Notifications = () => import('~/components/UIComponents/Notifications');
const LanguageSwitcher = () => import('~/components/UIComponents/LanguageSwitcher');
const Games = () => import('~/components/UIComponents/Games');
const BaseFooter = () => import('~/components/UIComponents/BaseFooter');

export default {
  data() {
    return {
      openSidebar: false,
      openNotifications: false,
      openLanguageSwithcher: false,
      openGames: false
    }
  },
  components: {
    NavBar,
    SideBar,
    Notifications,
    LanguageSwitcher,
    Games,
    BaseFooter
  },
  methods: {
    toggleSidebar: function() {
      this.openSidebar = !this.openSidebar;
    },
    toggleNotification: function() {
      this.openNotifications = !this.openNotifications;
    },
    toggleLanguageSwithcher: function() {
      this.openLanguageSwithcher = !this.openLanguageSwithcher;
    },
    toggleGames: function() {
      this.openGames = !this.openGames;
    }
  }
}
</script>

<style lang="scss">
  @import "~/assets/index";
</style>
